Update project modules config
curl --request POST \
--url https://api.ravion.com/projects/{id}/config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"environments": [
{
"moduleInstances": [
{
"description": "<string>",
"givenId": "<string>",
"id": "<string>",
"input": {},
"moduleDefinitionId": "<string>",
"moduleVersionId": "<string>",
"name": "<string>",
"type": "<string>",
"version": "<string>"
}
],
"description": "<string>",
"givenId": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"autoapprove": true,
"dryRun": true,
"environmentSelector": {
"givenIds": [
"<string>"
],
"ids": [
"<string>"
]
},
"moduleSelector": {
"givenIds": [
"<string>"
],
"ids": [
"<string>"
]
},
"project": {
"description": "<string>",
"givenId": "<string>",
"id": "<string>",
"name": "<string>"
}
}
}
'import requests
url = "https://api.ravion.com/projects/{id}/config"
payload = { "data": {
"environments": [
{
"moduleInstances": [
{
"description": "<string>",
"givenId": "<string>",
"id": "<string>",
"input": {},
"moduleDefinitionId": "<string>",
"moduleVersionId": "<string>",
"name": "<string>",
"type": "<string>",
"version": "<string>"
}
],
"description": "<string>",
"givenId": "<string>",
"id": "<string>",
"name": "<string>"
}
],
"autoapprove": True,
"dryRun": True,
"environmentSelector": {
"givenIds": ["<string>"],
"ids": ["<string>"]
},
"moduleSelector": {
"givenIds": ["<string>"],
"ids": ["<string>"]
},
"project": {
"description": "<string>",
"givenId": "<string>",
"id": "<string>",
"name": "<string>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
environments: [
{
moduleInstances: [
{
description: '<string>',
givenId: '<string>',
id: '<string>',
input: {},
moduleDefinitionId: '<string>',
moduleVersionId: '<string>',
name: '<string>',
type: '<string>',
version: '<string>'
}
],
description: '<string>',
givenId: '<string>',
id: '<string>',
name: '<string>'
}
],
autoapprove: true,
dryRun: true,
environmentSelector: {givenIds: ['<string>'], ids: ['<string>']},
moduleSelector: {givenIds: ['<string>'], ids: ['<string>']},
project: {description: '<string>', givenId: '<string>', id: '<string>', name: '<string>'}
}
})
};
fetch('https://api.ravion.com/projects/{id}/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"environmentActions": [
{
"givenId": "<string>",
"id": "<string>",
"patch": [
{
"path": "<string>",
"from": "<string>",
"fromValue": "<unknown>",
"pathLabel": "<string>",
"value": "<unknown>"
}
]
}
],
"moduleActions": [
{
"environmentGivenId": "<string>",
"environmentId": "<string>",
"message": "<string>",
"moduleGivenId": "<string>",
"moduleInstanceId": "<string>",
"patch": [
{
"path": "<string>",
"from": "<string>",
"fromValue": "<unknown>",
"pathLabel": "<string>",
"value": "<unknown>"
}
],
"runId": "<string>",
"workflowId": "<string>"
}
],
"selectedEnvironments": [
{
"givenId": "<string>",
"id": "<string>"
}
],
"summary": {
"created": 123,
"deleted": 123,
"destroyPlanned": 123,
"errors": 123,
"skipped": 123,
"unchanged": 123,
"updated": 123
},
"runId": "<string>",
"workflowId": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}{
"code": "<string>",
"message": "<string>",
"action": {
"label": "<string>",
"url": "<string>"
},
"description": "<string>",
"details": [
{
"render": "<string>",
"title": "<string>",
"items": [
"<string>"
],
"object": {}
}
],
"isInternal": true,
"metadata": {},
"requestId": "<string>"
}Projects
Update project modules config
Updates project module configuration for explicitly selected environments, or every environment when the selector is omitted. The operation validates and plans module create, update, unchanged, and destroy actions before updating project resources and starting required stack runs.
POST
/
projects
/
{id}
/
config
Update project modules config
Path Parameters
Body
application/json
Request body for applying project configuration to selected environments.
Show child attributes
Show child attributes
Response
The request has been accepted for processing, but processing has not yet completed.
Response body returned after a project config apply request is accepted.
Show child attributes
Show child attributes
Was this page helpful?
⌘I